package com.bonus.canteen.core.dataScreening.service;

import com.bonus.canteen.core.dataScreening.dto.DataScreenDTO;
import com.bonus.common.core.web.domain.AjaxResult;

public interface DataScreeningService {
    AjaxResult getDataScreeningModel();

    AjaxResult getCanteenOrdersAndSalesTrends(DataScreenDTO dataScreenDTO);

    AjaxResult getSupermarketOrderAndSalesTrend(DataScreenDTO dataScreenDTO);

    AjaxResult getThisMonthDishSalesRanking();

    AjaxResult getProportionOfOrderTypes(DataScreenDTO dataScreenDTO);
}
